{% extends '::base_admin.html.twig'%}
{%block body%}
<div class="row">
  <div class="col-md-12">
    <h3>Ajouter une salle pour "{{hote.nom}}"</h3><br/>
    <form id="salle-form" {{ form_enctype(form) }} method="post" data-prototype="{{form_widget(form.photos.vars.prototype)|e}}">
      <div class="row">
        <div class="col-md-5">

          {{ form_label(form.nom, "Nom") }}
          {{ form_errors(form.nom) }}
          {{ form_widget(form.nom) }}

          {{ form_label(form.apropos, "A propos") }}
          {{ form_errors(form.apropos) }}
          {{ form_widget(form.apropos) }}

          {{ form_label(form.placeAssis, "Nombre de place assis") }}
          {{ form_errors(form.placeAssis) }}
          {{ form_widget(form.placeAssis) }}

          {{ form_label(form.placeDebout, "Nombre de place debout") }}
          {{ form_errors(form.placeDebout) }}
          {{ form_widget(form.placeDebout) }}

          {{ form_label(form.superficie, "Superficie") }}
          {{ form_errors(form.superficie) }}
          {{ form_widget(form.superficie) }}
        </div>
        <div class="col-md-1"></div>
        <div class="col-md-5">
          {{ form_label(form.prix, "Montant") }}
          {{ form_errors(form.prix) }}
          {{ form_widget(form.prix) }}
          
          {{ form_label(form.annexe, "Associer à une annexe") }}
          {{ form_errors(form.annexe) }}
          {{ form_widget(form.annexe) }}

          {#{ form_label(form.typeSalle, "Type de salle") }}
          {{ form_errors(form.typeSalle) }}
          {{ form_widget(form.typeSalle) }}

          {{ form_label(form.typeEvenement, "Type d'événement") }}
          {{ form_errors(form.typeEvenement) }}
          {{ form_widget(form.typeEvenement) }#}

          {{ form_label(form.video, "Vidéo") }}
          {{ form_errors(form.video) }}
          {{ form_widget(form.video) }}

          <label>Type de salle</label>
          <div class="row">
            {%for s in typeSalles%}
            <div class="col-md-4">
              <input {%if s.id in typeSalleId%}checked{%endif%} type="checkbox" name="type-salle{{s.id}}" style="padding: 3px" id="type-salle{{s.id}}"/> <label style="font-weight: normal; font-size: 0.92em; cursor: pointer" for="type-salle{{s.id}}">{{s.libelle}}</label>
            </div>
            {%endfor%}
          </div>
          <br/>
          <label>Type d'événement</label>
          <div class="row">
            {%for t in typeEvenements%}
            <div class="col-md-4">
              <input {%if t.id in typeEvenementId%}checked{%endif%} type="checkbox" name="type-evenement{{t.id}}" style="padding: 3px" id="type-evenement{{t.id}}"/> <label style="font-weight: normal; font-size: 0.92em; cursor: pointer" for="type-evenement{{t.id}}">{{t.libelle}}</label>
            </div>
            {%endfor%}
          </div>
          <br/>
          <label>Equipement</label>
          <div class="row">
            {%for e in equipements%}
            <div class="col-md-6">
              <input {%if e.id in equipementId%}checked{%endif%} type="checkbox" name="equipement{{e.id}}" style="padding: 3px" id="equipement{{e.id}}"/> <label style="font-weight: normal; font-size: 0.92em; cursor: pointer" for="equipement{{e.id}}">{%if e.icon and e.icon.url%}<!--<img src="{{asset(e.icon.webPath)}}" style="margin-right: 5px; width: 12px"/>-->{%endif%}{{e.libelle}}</label>
            </div>
            {%endfor%}
          </div>
          {{ form_widget(form) }}
          <div id="photos-container">

          </div><br/>
          <a href="javascript:void(0)" id="photo-add" class="btn" style="margin-top: 5px">Ajouter une photo</a>
        </div>
      </div>




      <br/>
      <button type="submit" class="btn btn-danger">Enrégistrer</button>
      {{ form_end(form) }}
    </div>
  </div>
  {%endblock%}
  {%block javascripts%}
  {{parent()}}
  <script>
  $("#photo-add").click(function (e) {
    e.preventDefault();
    addPhotoToForm();
  });
  function addPhotoToForm() {
    var photoContainer = $("#photos-container");
    var prototype = $("#salle-form").attr("data-prototype");
    var newImageForm = prototype.replace(/__name__/g, photoContainer.children().length);
    photoContainer.append(newImageForm);
  }
  </script>
  {%endblock%}
